summaryrefslogtreecommitdiff
path: root/t/yacc-cxx.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-04-18 18:04:12 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-04-18 18:04:30 +0200
commit97f2a6db3379ffaa3a21ea590b09710dc25b264e (patch)
tree9e638a242b9fd62d86d7cd8f6d2087bc373e8abb /t/yacc-cxx.sh
parent41f418b0787c7b574fa702fb1f14546ada4eadc2 (diff)
downloadautomake-97f2a6db3379ffaa3a21ea590b09710dc25b264e.tar.gz
tests: avoid spurious failures when cross-compiling
* t/parallel-tests-recheck-depends-on-all.sh: Skip the test when cross-compiling. * t/vala-vapi.sh: Skip tests that do not make sense when cross-compiling. * t/yacc-basic.sh: Likewise. * t/yacc-cxx.sh: Likewise. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/yacc-cxx.sh')
-rwxr-xr-xt/yacc-cxx.sh12
1 files changed, 7 insertions, 5 deletions
diff --git a/t/yacc-cxx.sh b/t/yacc-cxx.sh
index fe348cb20..2af22eee7 100755
--- a/t/yacc-cxx.sh
+++ b/t/yacc-cxx.sh
@@ -88,11 +88,13 @@ test -f foo4-parse4.cpp
test -f foo3-parse3.output
test -f foo4-parse4.output
-for i in 1 2 3 4; do
- echo a | ./foo$i
- echo b | ./foo$i && Exit 1
- : For shells with busted 'set -e'.
-done
+if cross_compiling; then :; else
+ for i in 1 2 3 4; do
+ echo a | ./foo$i
+ echo b | ./foo$i && Exit 1
+ : For shells with busted 'set -e'.
+ done
+fi
# The Yacc-derived C++ sources must be shipped.
$MAKE echo-distcom